Bug 303081 - run-parts should log the start and end of each job
Summary: run-parts should log the start and end of each job
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: crontabs (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-24 14:02 UTC by Jonathan Kamens
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 08:34:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add logging to run-parts (460 bytes, patch)
2007-09-24 14:02 UTC, Jonathan Kamens
no flags Details | Diff

Description Jonathan Kamens 2007-09-24 14:02:36 UTC
Many, many times, I've been debugging things happening on my machine where it 
would have been extremely helpful to know exactly when a specific job executed 
by run-parts had been running.  Alas, although cron or anacron logs when it 
starts run-parts, run-parts itself doesn't log when it starts and ends jobs.  
The attached patch fixes this.

(While we're on the topic, I think it's unfortunate that cron only logs when 
jobs start, not when they finish, but that's a topic for a different bug 
report).

Comment 1 Jonathan Kamens 2007-09-24 14:02:36 UTC
Created attachment 204141 [details]
patch to add logging to run-parts

Comment 2 Marcela Mašláňová 2007-10-18 12:35:26 UTC
Nice. I'm testing it and I want push it to next devel.



Note You need to log in before you can comment on or make changes to this bug.